let options = {
    message: "",
    diapason_akk: [],
    send_mode: 0,
    sleep_send_sms: [1,3],
    file_list: [],
  };

  $('#start_send_massages').on('click', async function () {
  
    // Получение данных из textarea - @ЮЗЕРНЕЙМЫ
    options.file_list = [];
    let lines2 = $('#add_file_textarea').val().split(/\n/);
    for (var i = 0; i < lines2.length; i++) {
      if (/\S/.test(lines2[i])) {
        options.file_list.push($.trim(lines2[i]));
      }
    }
    // Получение сообщения
    options.message = $('#text_textarea').val();

    if ($('#send_mode').is(':checked')){
      options.send_mode = 1;
    } else {
      options.send_mode = 0;
    }
  
    clear_log = 0
    let json = JSON.stringify(options);
    let this_class = $(this).hasClass("btn-success");
    if (this_class == true) {
      $(this).removeClass('btn-success');
      $(this).addClass('btn-danger');
      $(this).text("Остановить рассылку");
      $('#log li').remove();
      console.log(json);
      await eel.send_message_open(json)();
    } else {
      $(this).removeClass('btn-danger');
      $(this).addClass('btn-success');
      $(this).text("Запустить рассылку");
      eel.stopped('open_contacts_sent') //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ТУТ КНОПКА ОТМЕНИТЬ
    }
  
  });
  
  eel.expose(set_finished_btn);
  function set_finished_btn(){
      $('#start_send_massages').removeClass('btn-danger');
      $('#start_send_massages').addClass('btn-success');
      $('#start_send_massages').text("Запустить рассылку");
  }
  
  window.addEventListener("beforeunload", function (e) {        
    eel.stopped('posting_sent')
  });
  
  $('#set_sleep_sending').on('click', async function () {
    $('#set_sleep_modal').modal('hide');
    options.sleep_send_sms[0] = Number($('#sleep_send_sms_from').val());
    options.sleep_send_sms[1] = Number($('#sleep_send_sms_before').val());
  });
  
  $('#select_accounts').on('click', async function () {
    options.diapason_akk = [];
    load_accounts();
  });

  // ОБРАБОТЧИК НАЖАТИЯ КАРТИНКА
  $('#add_img').on('click', async function () {
    let img_res = await eel.get_image_for_message()();//тут нужно вставить путь на картинку которую выбрал пользователь
    console.log(img_res)
    if (img_res !== "" && img_res !== 0 && img_res != false) {// Демонстрация изображения если есть
      $('#myimage').attr('src', img_res[0]);
      $.each(img_res, function(index, value){
        let text = $("#add_file_textarea").val();
        $('#add_file_textarea').val(text + 'web/' + value + '\n')
      })
      $("#add_file_form").removeClass('d-none');
      // $('#add_file_textarea').val(text + 'web/' + img_res + '\n')
    }
  });
  
  $('#select_accounts_apply').on('click', async function () {
    console.log("Нажали")
    $('#select_accounts_modal').modal('hide');
    let from = 1;
    let before = $('#table_users >tbody >tr').length;
    //Запускаем цикл по всей таблице
    for (let i = from; i <= before; i++) {
      let type_bg = $('#table_users tr').eq(i).attr("class");
      if (type_bg == "bg_selected") {
        //Получаем номер телефона
        phone_user = $('#table_users tr').eq(i).children('#phone').html();
        options.diapason_akk.push(phone_user);
      }
    }
    $("#account_num").removeClass('d-none');
    $("#account_num").text(options.diapason_akk.length);
  });
  
  eel.expose(counter_sess);
  function counter_sess(num) {
    $("#counter_sess").text(num);
  }

  $('#repost_channel').on('click', async function () {
    $("#text_textarea").val('repost@https://t.me/notcoin/733');
  });

  $('#repost_hidden_channel').on('click', async function () {
    $("#text_textarea").val('repost_hidden@https://t.me/notcoin/733');
  });
  
  let clear_log = 0
  eel.expose(log);
  function log(log_line) {
    if (clear_log == 250){
      $('#log li:first').remove();
    } else {clear_log = clear_log + 1}
    $('#log').append('<li>' + log_line + '</li>');
    $('#log_div').scrollTop($('#log_div')[0].scrollHeight);
  }

  eel.expose(reload_python);
  function reload_python() {
    window.location.reload();
  }

  
  